### Method

# Gio TlsPassword set_description

since: 2.30

#### Declaration

    void
    g_tls_password_set_description (
      GTlsPassword* password,
      const gchar* description
    )

#### Description

Set a description string about what the password will be used for.

Available since: 2.30

Sets property | `Gio.TlsPassword:description`

#### Parameters

`description`

  Type: `const gchar*`

  The description of the password.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.